import idgaf
from idgaf import IDGAFServer
from http.server import HTTPServer
import settings


def main():
    webServer = HTTPServer((settings.HOSTNAME, settings.SERVERPORT), idgaf.IDGAFServer)
    print("Server started http://%s:%s" % (settings.HOSTNAME, settings.SERVERPORT))

    try:
        webServer.serve_forever()
    except KeyboardInterrupt:
        pass

    webServer.server_close()
    print("Server stopped.")

if __name__ == "__main__":
   main()
